PYPETEST(1)

NAME
pypetest - vmtk script pypetest

DESCRIPTION
Automatic piping pypetest Parsing options pypetest

pypetest : tests a script property against a condition

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-name TestName (str,1); default=None: name of the test

-i TestInput (test,1): log

-condition Condition (str,1) in ['equalto', 'differentfrom',

    'greaterthan', 'lessthan', 'nonnone']; default=None: condition type

-value ConditionValue (str,1); default=None: condition value

-type ConditionType (str,1) in ['str', 'int', 'float', 'bool'];

    default=None: condition type

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-log PypeTestLog (str,1): log